# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqNodeOfHSequenceOfHAsciiString Class Reference

`#include <PColStd_SeqNodeOfHSequenceOfHAsciiString.hxx>`

Inheritance diagram for PColStd_SeqNodeOfHSequenceOfHAsciiString:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfHAsciiString (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&TheLast, const Handle(PCollection_HAsciiString)&TheItem)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfHAsciiString (const Handle(PCollection_HAsciiString)&TheItem, const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&TheFirst)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfHAsciiString (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&ThePrevious, const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&TheNext, const Handle(PCollection_HAsciiString)&TheItem)
Standard_EXPORT Handle_PCollection_HAsciiString | Value () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString | Next () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString | Previous () const
Standard_EXPORT void | SetValue (const Handle(PCollection_HAsciiString)&AnItem)
Standard_EXPORT void | SetNext (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&ANode)
| PColStd_SeqNodeOfHSequenceOfHAsciiString ()
| PColStd_SeqNodeOfHSequenceOfHAsciiString (const Storage_stCONSTclCOM &a)
| Handle (PColStd_SeqNodeOfHSequenceOfHAsciiString) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyPrevious() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&p)
| Handle (PCollection_HAsciiString) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyItem() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyItem (const Handle(PCollection_HAsciiString)&p)
| Handle (PColStd_SeqNodeOfHSequenceOfHAsciiString) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyNext() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyNext (const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString | MyPrevious
Handle_PCollection_HAsciiString | MyItem
Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfHAsciiString::PColStd_SeqNodeOfHSequenceOfHAsciiString | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | TheLast,
|  | const Handle(PCollection_HAsciiString)& | TheItem
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfHAsciiString::PColStd_SeqNodeOfHSequenceOfHAsciiString | ( | const Handle(PCollection_HAsciiString)& | TheItem,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | TheFirst
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfHAsciiString::PColStd_SeqNodeOfHSequenceOfHAsciiString | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | ThePrevious,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | TheNext,
|  | const Handle(PCollection_HAsciiString)& | TheItem
| ) |

PColStd_SeqNodeOfHSequenceOfHAsciiString::PColStd_SeqNodeOfHSequenceOfHAsciiString | ( |  | ) | `[inline]`

PColStd_SeqNodeOfHSequenceOfHAsciiString::PColStd_SeqNodeOfHSequenceOfHAsciiString | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColStd_SeqNodeOfHSequenceOfHAsciiString::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyItem | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfHAsciiString::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfHAsciiString::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfHAsciiStringMyPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | p | ) | `[inline]`

Standard_EXPORT const PColStd_SeqNodeOfHSequenceOfHAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_SeqNodeOfHSequenceOfHAsciiString::Handle | ( | PColStd_SeqNodeOfHSequenceOfHAsciiString |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfHAsciiString::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfHAsciiString::Handle | ( | PColStd_SeqNodeOfHSequenceOfHAsciiString |  | ) | const`[inline]`

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::Next | ( |  | ) | const

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfHAsciiString::SetNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfHAsciiString::SetPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfHAsciiString)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfHAsciiString::SetValue | ( | const Handle(PCollection_HAsciiString)& | AnItem | ) |

Standard_EXPORT Handle_PCollection_HAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::Value | ( |  | ) | const

## Field Documentation

Handle_PCollection_HAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::MyItem `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::MyNext `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString PColStd_SeqNodeOfHSequenceOfHAsciiString::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqNodeOfHSequenceOfHAsciiString.hxx